Description: Bonjour,

lorsque je produit des gros examens pour de grosses promos avec un usage intensif de @FPeval@, la
création des documents est trés longue.

# Est-il possible de lancer la production de seulement le "@DOC-sujet.pdf@" et "@DOC-indiv-solution.pdf@"
(donc en évitant la production de "@DOC-catalog.pdf@" et "@DOC-corrige.pdf@").

# Les documents "@DOC-catalog.pdf@" et "@DOC-corrige.pdf@" ont-ils une utilité absolue ? je veux dire
AMC pourrait-il mener a bien une correction sans les avoir créés ?

# D'une maniéere générale, y a-t-il une documentation pour la commande @auto-multiple-choice@ (ou une de
ses dérivées) lancée depuis le terminal ? je n'en ai trouvé aucune ("@man auto-multiple-choice@" ou
@"auto-multiple-choice --help"@) mais je soupgonne qu'on peut lui passer des paramétres pour mener a bien
des actions individuelles.

Merci d'avance et futurs meilleurs voeux !

History

12/31/2022 11:41 am - Frédéric Bréal
# Préférences > Fonctionnalités et vous décochez.
# Aucune. Le premier c'est pour vos archives (je ne m'en sers pas), le second c'est la correction du sujet 1.

# Dans la documentation anglaise. J'avais commencé a la traduire pour la frangaise mais j'ai vite abandonné.

12/31/2022 11:48 am - Vincent Raspal

# Idiot que je suis !! c'était pourtant évident ...

# c'est bien ce que je pensais

# OK, je vais regarder. Selon le hasard, je consulte la version FR ou EN de la doc. Je n'avais pas remarqué cette différence entre EN et FR. Merci
beaucoup, j'aime automatiser les processus, je vais donc lire tout cela attentivement.

12/31/2022 11:56 am - Alexis Bienveniie

> je n'en ai trouvé aucune ("man auto-multiple-choice")

C'est bizarre. Il devrait y avoir des fichiers man au moins en anglais dans @/usr/share/man/man1@.

Par ailleurs, lorsque vous effectuez une action avec l'interface graphique en mode débogage, le fichier @log@ produit contient les commandes
@auto-multiple-choice@ qui sont appelées. Ga peut aider pour automatiser.

12/31/2022 11:57 am - Frédéric Bréal

> je consulte la version FR ou EN de la doc.

Je fais la version frangaise puis avec google trad, deeply, word reference je traduis mais les phrases sont parfois mal formulées. Quelques fois, je
demande a mes collégues d'anglais de corriger.

Si vous avez de bonnes connaissances, capacités ou compétences en anglais, il ne faut pas hésiter a corriger directement le fichier.

12/31/2022 01:13 pm - Vincent Raspal

> C'est bizarre. Il devrait y avoir des fichiers man au moins en anglais dans @/usr/share/man/man1@.
J'ai bien des fichiers dans ce dossier

<pre>

auto-multiple-choice.1.gz
auto-multiple-choice-note.1.gz
auto-multiple-choice-export.1.gz
auto-multiple-choice-meptex.1.gz

</pre>
mais rien ne sort quand je tape @man auto-multiple-choice@.
Peut-étre une mauvaise config ou installation sur ma machine.

Peu importe ce n'est pas grave

> Par ailleurs, lorsque vous effectuez une action avec l'interface graphique en mode débogage, le fichier @log@ produit contient les commandes
@auto-multiple-choice@ qui sont appelées. Ga peut aider pour automatiser.
C'est noté. Merci

12/31/2022 01:22 pm - Vincent Raspal
> Je fais la version frangaise puis avec google trad, deeply, word reference je traduis mais les phrases sont parfois mal formulées. Quelques fois, je
demande a mes collégues d'anglais de corriger.

> Si vous avez de bonnes connaissances, capacités ou compétences en anglais, il ne faut pas hésiter a corriger directement le fichier.

Ah ? je pensais que vous faisiez I'anglais en priorité puis traduction en frangais ensuite.
Je veux bien aider la-dessus si vous le souhaitez.

C'est vraiment dommage que AMC soit écrit en perl et pas en python, j'aurais beaucoup aimé participer a ce projet !

D'ailleurs, je croyais me souvenir que le GUI était fait en Qt mais j'ai d(i réver car je n'ai rien trouvé de tel dans le repo gitlab.
Auquel cas, il existait pyQt que je maitrise plutét bien.

12/31/2022 02:08 pm - Alexis Bienveniie
> D'ailleurs, je croyais me souvenir que le GUI était fait en Qt mais j'ai d0 réver car je n'ai rien trouvé de tel dans le repo gitlab.

C'est Gtk+ qui est utilisé ;)

06/13/2025 10:38 am - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100
